Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXChar

    java.lang.Object
      org.basex.api.dom.BXNode
          org.basex.api.dom.BXChar

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Node

Direct Known Subclasses:
  BXComm, BXText

    public abstract class BXChar

extends BXNode
implements org.w3c.dom.CharacterData

DOM - Character data implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `appendData(java.lang.String arg)`
`void` | `deleteData(int off, int count)`
`java.lang.String` | `getData()`
`int` | `getLength()`
`java.lang.String` | `getNodeValue()`
`void` | `insertData(int off, java.lang.String arg)`
`void` | `replaceData(int off, int c, java.lang.String arg)`
`void` | `setData(java.lang.String dat)`
`java.lang.String` | `substringData(int off, int count)`

Methods inherited from class org.basex.api.dom.BXNode
`appendChild, cloneNode, compareDocumentPosition, error, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNod, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getData

    public final java.lang.String getData()

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`

### getNodeValue

    public final java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `BXNode`

### getLength

    public final int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`

### substringData

    public final java.lang.String substringData(int off,
                                                int count)

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`

### appendData

    public final void appendData(java.lang.String arg)

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`

### deleteData

    public final void deleteData(int off,
                                 int count)

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`

### insertData

    public final void insertData(int off,
                                 java.lang.String arg)

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`

### replaceData

    public final void replaceData(int off,
                                  int c,
                                  java.lang.String arg)

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`

### setData

    public final void setData(java.lang.String dat)

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD